Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Enum ConcurrentLockTypeType

    java.lang.Object
      java.lang.Enum<ConcurrentLockTypeType>
          org.jboss.shrinkwrap.descriptor.api.ejbjar31.ConcurrentLockTypeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConcurrentLockTypeType>

    public enum ConcurrentLockTypeType

extends java.lang.Enum<ConcurrentLockTypeType>

This class implements the `concurrent-lock-typeType` xsd type

Original Documentation:

The concurrent-lock-typeType specifies how the container must
manage concurrent access to a method of a Singleton bean
with container-managed concurrency.
The container managed concurrency lock type must be one
of the following :
Read
Write

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_READ`
`_WRITE`

Method Summary
`static ConcurrentLockTypeType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static ConcurrentLockTypeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConcurrentLockTypeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _READ

    public static final ConcurrentLockTypeType _READ

### _WRITE

    public static final ConcurrentLockTypeType _WRITE

Method Detail

### values

    public static ConcurrentLockTypeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConcurrentLockTypeType c : ConcurrentLockTypeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConcurrentLockTypeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ConcurrentLockTypeType>`

### getFromStringValue

    public static ConcurrentLockTypeType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD